org.apache.geode.cache

## Class StatisticsDisabledException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.cache.CacheRuntimeException
          - - org.apache.geode.cache.StatisticsDisabledException

- All Implemented Interfaces:
    java.io.Serializable

      public class StatisticsDisabledException
      extends CacheRuntimeException

  Thrown if statistics are requested when statistics are disabled on the region.
  Since:
    GemFire 3.0
  See Also:
    `AttributesFactory.setStatisticsEnabled(boolean)`, `RegionAttributes.getStatisticsEnabled()`, `Region.getStatistics()`, `Region.Entry.getStatistics()`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatisticsDisabledException()` Creates a new instance of `StatisticsDisabledException` without detail message.
    `StatisticsDisabledException(java.lang.String msg)` Constructs an instance of `StatisticsDisabledException` with the specified detail message.
    `StatisticsDisabledException(java.lang.String msg, java.lang.Throwable cause)` Constructs an instance of `StatisticsDisabledException` with the specified detail message and cause.
    `StatisticsDisabledException(java.lang.Throwable cause)` Constructs an instance of `StatisticsDisabledException` with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.cache.CacheRuntimeException

      `toString`

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StatisticsDisabledException

          public StatisticsDisabledException()

      Creates a new instance of `StatisticsDisabledException` without detail message.

    - #### StatisticsDisabledException

          public StatisticsDisabledException(java.lang.String msg)

      Constructs an instance of `StatisticsDisabledException` with the specified detail message.
      Parameters:
        `msg` - the detail message

    - #### StatisticsDisabledException

          public StatisticsDisabledException(java.lang.String msg,
                                             java.lang.Throwable cause)

      Constructs an instance of `StatisticsDisabledException` with the specified detail message and cause.
      Parameters:
        `msg` - the detail message
        `cause` - the causal Throwable

    - #### StatisticsDisabledException

          public StatisticsDisabledException(java.lang.Throwable cause)

      Constructs an instance of `StatisticsDisabledException` with the specified cause.
      Parameters:
        `cause` - the causal Throwable